Bug 590266 - Crash extracting to gvfs folder with drag and drop
Summary: Crash extracting to gvfs folder with drag and drop
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file-roller   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Tomáš Bžatek
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard: Contest
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-08 12:55 UTC by Tim Waugh
Modified: 2015-03-03 22:47 UTC (History)
3 users (show)

Fixed In Version: file-roller-2.28.2-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 20:23:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2010-05-08 12:55:56 UTC
Description of problem:
When dragging a folder from inside an archive to a nautilus window for a gvfs mount, file-roller crashes.

Version-Release number of selected component (if applicable):
file-roller-2.28.2-3.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Places->Connect to Server..., select 'SSH' and log into a network machine
2.Double-click on an archive from a local folder
3.Drag a folder from inside the archive to the gvfs folder
  
Actual results:
Program received signal SIGSEGV, Segmentation fault.
__strlen_sse2 () at ../sysdeps/x86_64/strlen.S:31
31		pcmpeqb	(%rdi), %xmm2
(gdb) bt
#0  __strlen_sse2 () at ../sysdeps/x86_64/strlen.S:31
#1  0x000000000041caf1 in fr_archive_extract_to_local (
    archive=<value optimized out>, file_list=0x8908c0 = {...}, destination=
    0x0, base_dir=0x908100 "/A Fine Frenzy/", skip_older=0, overwrite=1, 
    junk_paths=0, password=0x0) at fr-archive.c:2580
#2  0x000000000041d1b4 in fr_archive_extract (archive=0x70d6a0 [FrArchive], 
    file_list=0x8908c0 = {...}, destination=<value optimized out>, base_dir=
    0x908100 "/A Fine Frenzy/", skip_older=<value optimized out>, 
    overwrite=<value optimized out>, junk_paths=0, password=0x0)
    at fr-archive.c:2680
#3  0x000000000043a8e4 in fr_window_archive_extract (window=
    0x70c000 [FrWindow], file_list=<value optimized out>, 
    extract_to_dir=<value optimized out>, base_dir=<value optimized out>, 
    skip_older=<value optimized out>, overwrite=<value optimized out>, 
    junk_paths=0, ask_to_open_destination=0) at fr-window.c:6608
#4  0x000000000043ac6a in file_list_drag_end (widget=<value optimized out>, 
    context=0x808b10 [GdkDragContext], data=0x70c000) at fr-window.c:4115
#5  0x0000003dd760bb3e in IA__g_closure_invoke (closure=0x6d04e0, return_value=
    0x0, n_param_values=2, param_values=0x8f5440, invocation_hint=
    0x7fffffffdb80) at gclosure.c:767
#6  0x0000003dd7620e23 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x714080, emission_return=0x0, instance_and_params=
    0x8f5440) at gsignal.c:3247
#7  0x0000003dd76220af in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fffffffdd80) at gsignal.c:2980
#8  0x0000003dd7622414 in IA__g_signal_emit_by_name (instance=0x714080, 
    detailed_signal=0x3dd950dcb6 "drag-end") at gsignal.c:3074
#9  0x0000003dd9498165 in gtk_drag_source_info_destroy (info=0x87ff00)
    at gtkdnd.c:3957
#10 0x0000003dd949c4a8 in gtk_drag_drop_finished (info=0x87ff00, result=
    GTK_DRAG_RESULT_SUCCESS, time=0) at gtkdnd.c:3612
#11 0x0000003dd934bb4b in IA__gtk_main_do_event (event=0x86c120)
    at gtkmain.c:1640
#12 0x0000003dd9a5feac in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2372
#13 0x0000003dd7238eee in g_main_dispatch (context=0x69a9b0) at gmain.c:1960
#14 IA__g_main_context_dispatch (context=0x69a9b0) at gmain.c:2513
#15 0x0000003dd723c918 in g_main_context_iterate (context=0x69a9b0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2591
#16 0x0000003dd723cd35 in IA__g_main_loop_run (loop=0x668400) at gmain.c:2799
#17 0x0000003dd934beb7 in IA__gtk_main () at gtkmain.c:1218
#18 0x000000000044576e in main (argc=1, argv=0x7fffffffe288) at main.c:319

Comment 2 RHEL Product and Program Management 2010-05-08 14:10:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Tomáš Bžatek 2010-05-13 11:56:13 UTC
This is bug 527045, patch is available upstream: https://bugzilla.gnome.org/show_bug.cgi?id=617769

Tim, just for confirmation, do you have gvfs-fuse-daemon running in your desktop session?

Comment 4 Tim Waugh 2010-05-13 12:12:40 UTC
Seems I don't.

Comment 7 Tim Waugh 2010-06-02 15:38:06 UTC
Works fine now, thanks!

Comment 8 Radek Lat 2010-08-17 08:38:57 UTC
Tested and Verified on file-roller-2.28.2-6.el6.x86_64,
moving to VERIFIED.

Comment 9 releng-rhel@redhat.com 2010-11-10 20:23:24 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.